Jump to content
MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. ×

WebGL and Windows XP


GusCE6
 Share

Recommended Posts

For me WebGL works fine at reasonable resolutions and simple games like the sci-fi racing in New Moon 28 and nVidia GT 610, with webgl.disable-angle true. As long as the display driver has good OpenGL it should work.

Why would you expect satisfactory experience of 3D without harware acceleration, translating opengl to direct3d while running JavaScript on an old CPU? Intel 8xx and 9xx Graphics had awful performance with native full-screen 3D games.

Link to comment
Share on other sites


On 9/3/2021 at 7:26 PM, j7n said:

For me WebGL works fine at reasonable resolutions and simple games like the sci-fi racing in New Moon 28 and nVidia GT 610, with webgl.disable-angle true. As long as the display driver has good OpenGL it should work.

Why would you expect satisfactory experience of 3D without harware acceleration, translating opengl to direct3d while running JavaScript on an old CPU? Intel 8xx and 9xx Graphics had awful performance with native full-screen 3D games.

 

That's the whole point I've been trying to make- hardware acceleration DOES exist and DOES work on that old Sony!

The curious part is that it is not always there. For example, it absolutely is there for "Bejeweled 1-2" and "Plants Vs. Zombies." But for others it isn't. The checkbox in any of the Firefox browsers is always checked by default for "hardware acceleration."

I'm simply looking to get WebGL games working, I know it would be slow. That's not the point, just getting it running is.

There are ample 3D games that work nicely on that old laptop.

What I want to know is how to return browsers using WebGL to normal. My tinkering messed it up somewhat, how to get it back to default- and how to absolutely get a browser to actually use SwiftShader?

Link to comment
Share on other sites

I am sure that the OpenGL window is independent of the acceleration checkbox, which is for compositing text and pictures. For me the the browser acceleration has never worked on XP.

Link to comment
Share on other sites

  • 2 weeks later...

For all who want to play with OpenGL or WebGL

I may recommend very good diagnostic tool  "GPUview_v1.37"

It's quite usefull tool something similiar to CpuZ/GpuZ but much better. It's showing capabilities for all graphic API such like DX,OpenGL and Vulcan.

Also realtime testing and benchmarking is there!

 

I saw on 1th page of this thread someone shared screen from VMwaer and there was Galium.

This is MESA project (SW emulated OpenGL library)

Here come the fun!

Just download MESA DLL and place it into System directory or place it in same application directory (for example where is  GpuView.exe)

Don't forget rename it to opengl32.dll

The fun will start here.

You may have SW emulated OpenGL v2/v3 capabilities (dependent on which MESA lib is used)

Open GpuView now and check what capabilities you have now.

When is OpenGL present you may enable WebGL in webbrowser

My very old Firefox ESR 52.9 will be able play HTML5 youtube player for example. (slow but with some addons YT-format 18 (360p/mp4) on Pentium/1ghz quite fine :P

Have a fun!

Edited by PlayerXP
fixed filename now is correct
Link to comment
Share on other sites

@PlayerXP

Your version of GPU_Caps_Viewer needs SSE2, it won't run on P-III/AthlonXP systems.

I have v1.9.4 of that tool running fine on my AthlonXP. 

Running yours on a more modern system immediately asked to update to v1.52. While doing so, i stumbled upon a cool little game on that site - Quake in 13kb of javascript :P 

Unfortunately, it won't load on any of my XP-compatible browsers. I was able to play it in FF 78 and Edge (in Win10) though. 

 

Link to comment
Share on other sites

I know about 13kb Quake 1 level It's was on HackerNews few days ago

I remember from 1995 exist also native version on single 3 1/4 floppy disk Doom2/Quake (including IPX driver) for pupils and campus computers :D

but if you want play and test your graphic google OpenRA - just released :P

(open remake C&C Legacy C&C RedAlert, TiberiumSun and DUNE 2000! )

I wrote my old experience and not tested my archived stripped version of Geeks3d CapsViewer.

Here are some screenshots.  - how it really works

forum.png

 

Quote

opengl32.dll__3.0 Mesa 13.0.6_Gallium 0.4 on llvmpipe (LLVM 3.7, 128 bits)_md5__76cef65abfca95f50f70ff1d5c240565__extensionGL208WGL9
opengl32.dll__3.0 Mesa 17.0.0_Gallium 0.4 on llvmpipe (LLVM 3.7, 128 bits)_md5__0b6d0f2b80b94f24579a3b0e527f161f__extensionGL213WGL9

// that versions I tested DLL are 17mb they are really FAT!

I made mistake in my previouse post. The correct filename is opengl32.dll

Try it again now!
Before testing MESA DLL on Browser i recommending check capabilities and GL_version in CapsViewer this is the reason why I share it (i was not sure if is

available so old version i have archived this stripped size version)

Another usefull aplication which is not running without some OpenGL caps

is Blender v2.72 btw my HW driver is Slower as MESA SW driver :D thats funny :P

Sorry for that

btw: I am quite good Q3A player on excessivenet but I am not playing rail only mods if you want to play :P [Hullu]

 

 

Edited by PlayerXP
Link to comment
Share on other sites

On 9/20/2021 at 11:54 AM, PlayerXP said:

if you want play and test your graphic google OpenRA - just released :P

(open remake C&C Legacy C&C RedAlert, TiberiumSun and DUNE 2000! )

Quote

An important compatibility note is that OpenRA now requires GPU support for either OpenGL 3.2, DirectX 11, or OpenGL ES 3. Moving away from the legacy OpenGL 2.1 is important for future compatibility with modern rendering APIs (Vulkan/Metal) and for improving rendering performance with Tiberian Sun and the C&C Remastered Collection. This does unfortunately mean dropping support for some older systems (typically 10+ years old) that currently can run OpenRA, but we believe that this is a necessary tradeoff for the future.

Guess i'll pass on that.

Anyways, both C&C and Dune2000 were running fine here in their original form last time i tried :P

 

7 hours ago, Hunterw said:

That was an amazing game for 13K. Shows what programmers can do if they put their minds to it :p

If you liked that, check what's available at pouet.net, plenty of cool little (and not so little) things over there :P

Here is the JS games only list.

Edited by RainyShadow
Link to comment
Share on other sites

I'm afraid I'm not sure what to think or do here? If it's just a file can I download it directly? Where exactly do I put it- in the browser folder with the EXE file? Does it work on a Pentium 3 (no SSE2 instruction set!) device? Is there a particular version needed?

Link to comment
Share on other sites

21 minutes ago, GusCE6 said:

I'm afraid I'm not sure what to think or do here? If it's just a file can I download it directly? Where exactly do I put it- in the browser folder with the EXE file? Does it work on a Pentium 3 (no SSE2 instruction set!) device? Is there a particular version needed?

Umm, could you specify what you are asking about? The Quake game? The Mesa DLL? Something else?

Link to comment
Share on other sites

Well, compile/download the Mesa3D library, rename it to opengl32.dll and put alongside the browser executable.

Maybe @PlayerXP could share the location of those precompiled binaries?

I found this site, but could only browse its archive...

There is also a project on Github, but the installer relies on mklink, which isn't available in XP. You could try to manually copy/rename the files though.

Link to comment
Share on other sites

  • 2 weeks later...

Basilisk 52 in Windows XP Home Edition Service Pack 3:

Application Basics
------------------

Name: Basilisk
Version: 52.9.0 (32-bit)
Build ID: 20210604020325
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:68.0) Gecko/20100101 Goanna/4.8 Firefox/68.0 Basilisk/52.9.0
OS: Windows_NT 5.1
Multiprocess Windows: 0/1 (Disabled)
Safe Mode: false

Extensions
----------

Name: adaware ad block
Version: 1.5.2.0
Enabled: true
ID: AdBlockerLavaSoftFF@lavasoft.com

Name: ?Matrix
Version: 4.4.9
Enabled: true
ID: eMatrix@vannilla.org

Graphics
--------

Features
Compositing: Basic
GPU Accelerated Windows: 0/1 Basic (OMTC) Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.5218 or newer.
Asynchronous Pan/Zoom: none
WebGL 1 Driver WSI Info: -
WebGL 1 Driver Renderer: WebGL creation failed: * Error during ANGLE OpenGL init. * Error during ANGLE OpenGL init. * Error during ANGLE OpenGL init. * Error during ANGLE OpenGL init. * Error during ANGLE OpenGL init. * Exhausted GL driver caps.
WebGL 1 Driver Version: -
WebGL 1 Driver Extensions: -
WebGL 1 Extensions: -
WebGL 2 Driver WSI Info: -
WebGL 2 Driver Renderer: WebGL creation failed: * Error during ANGLE OpenGL init. * Error during ANGLE OpenGL init. * Error during ANGLE OpenGL init. * Error during ANGLE OpenGL init. * Error during ANGLE OpenGL init. * Exhausted GL driver caps.
WebGL 2 Driver Version: -
WebGL 2 Driver Extensions: -
WebGL 2 Extensions: -
Hardware H264 Decoding: No
Audio Backend: winmm
Direct2D: Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.5218 or newer.
DirectWrite: false (0.0.0.0)
GPU #1
Active: Yes
Description: Intel(R) 82815 Graphics Controller (Microsoft Corporation)
Vendor ID: 0x8086
Device ID: 0x1132
Driver Version: 6.13.1.3198
Driver Date: 6-8-2001
Drivers: i81xdnt5
Subsys ID: 00000000
RAM: Unknown

Diagnostics
AzureCanvasAccelerated: 0
AzureCanvasBackend: skia
AzureContentBackend: cairo
AzureFallbackCanvasBackend: cairo
Decision Log
D3D11_COMPOSITING:
unavailable by runtime: Direct3D11 not available on this computer
D3D9_COMPOSITING:
Blocklisted; failure code BLOCKLIST_FEATURE_FAILURE_DL_BLACKLIST_g511
DIRECT2D:
unavailable by default: Direct2D is not available on Windows XP
D3D11_HW_ANGLE:
disabled by env: D3D11 compositing is disabled


Important Modified Preferences
------------------------------

browser.cache.disk.capacity: 358400
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.cache.frecency_experiment: 1
browser.download.importedFromSqlite: true
browser.places.smartBookmarksVersion: 8
browser.privatebrowsing.autostart: true
browser.sessionstore.upgradeBackup.latestBuildID: 20210604020325
browser.startup.homepage_override.buildID: 20210604020325
browser.startup.homepage_override.mstone: 4.8.0
browser.tabs.drawInTitlebar: false
browser.urlbar.daysBeforeHidingSuggestionsPrompt: 3
browser.urlbar.lastSuggestionsPromptDate: 20210709
dom.max_script_run_time: 0
extensions.lastAppVersion: 52.9.0
gfx.blacklist.direct2d: 3
gfx.blacklist.direct2d.failureid: FEATURE_FAILURE_DL_BLACKLIST_g984
gfx.blacklist.layers.direct3d9: 3
gfx.blacklist.layers.direct3d9.failureid: FEATURE_FAILURE_DL_BLACKLIST_g511
gfx.blacklist.suggested-driver-version: 6.1400.1000.5218
gfx.crash-guard.d3d11layers.appVersion: 52.9.0
gfx.crash-guard.d3d11layers.deviceID: 0x1132
gfx.crash-guard.d3d11layers.driverVersion: 6.13.1.3198
gfx.crash-guard.d3d11layers.feature-d2d: false
gfx.crash-guard.d3d11layers.feature-d3d11: true
gfx.crash-guard.status.d3d11layers: 2
gfx.direct2d.disabled: true
media.gmp-gmpopenh264.enabled: false
media.gmp-manager.buildID: 20210604020325
media.gmp-manager.lastCheck: 1633825034
media.gmp.storage.version.observed: 1
media.hardware-video-decoding.failed: false
network.cookie.prefsMigrated: true
network.dns.disablePrefetch: true
network.http.speculative-parallel-limit: 0
network.predictor.cleaned-up: true
network.prefetch-next: false
places.database.lastMaintenance: 1629226521
places.history.expiration.transient_current_max_pages: 17755
plugin.disable_full_page_plugin_for_types: application/pdf
plugin.state.npdrmv: 2
plugin.state.npdsplay: 2
plugin.state.npwmsdrm: 2
privacy.donottrackheader.enabled: true
privacy.sanitize.timeSpan: 0
security.default_personal_cert: Select Automatically
security.disable_button.openCertManager: false
security.disable_button.openDeviceManager: false
security.OCSP.enabled: 0
services.sync.declinedEngines:
storage.vacuum.last.index: 1
storage.vacuum.last.places.sqlite: 1628371357
webgl.angle.force-d3d11: true
webgl.angle.force-warp: true
webgl.bypass-shader-validation: true
webgl.force-enabled: true

Important Locked Preferences
----------------------------

Places Database
---------------

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: false
Prevent Accessibility: 0

Library Versions
----------------

NSPR
Expected minimum version: 4.24
Version in use: 4.24

NSS
Expected minimum version: 3.48.5
Version in use: 3.48.5

NSSSMIME
Expected minimum version: 3.48.5
Version in use: 3.48.5

NSSSSL
Expected minimum version: 3.48.5
Version in use: 3.48.5

NSSUTIL
Expected minimum version: 3.48.5
Version in use: 3.48.5

**********************************************
**********************************************
**********************************************


About:Support from Palemoon 27 SSE (Linux) Puppy Linux 5.2.5 Lucid Mode:


Application Basics
------------------

Name: Pale Moon
Version: 27.9.4SSE
Build ID: 20180717181801
User Agent: Mozilla/5.0 (X11; Linux i686; rv:3.4) Goanna/20180717 PaleMoon/27.9.4SSE
OS: Linux 2.6.33.2
Multiprocess Windows: 0/1 (default: false)
Safe Mode: false

Extensions
----------

Graphics
--------

Adapter Description: GLXtest process failed (exited with status 1): GLX extension missing
GPU Accelerated Windows: 0/1 Basic Blocked for your graphics driver version. Try updating your graphics driver to version <Anything with EXT_texture_from_pixmap support> or newer.
WebGL Renderer: Blocked for your graphics card because of unresolved driver issues.
windowLayerManagerRemote: false
AzureCanvasBackend: skia
AzureContentBackend: cairo
AzureFallbackCanvasBackend: cairo
AzureSkiaAccelerated: 0

Important Modified Preferences
------------------------------

browser.cache.disk.capacity: 215040
browser.cache.disk.smart_size.first_run: false
browser.cache.disk.smart_size.use_old_max: false
browser.download.importedFromSqlite: true
browser.places.smartBookmarksVersion: 4
browser.search.update: false
browser.startup.homepage_override.buildID: 20180717181801
browser.startup.homepage_override.mstone: 3.4.2
dom.disable_open_during_load: false
dom.disable_window_showModalDialog: false
dom.max_script_run_time: 0
extensions.lastAppVersion: 27.9.4SSE
general.useragent.compatMode: 0
image.http.accept: image/webp,image/jxr,image/png,image/*;q=0.8,*/*;q=0.5
media.format-reader.mp4: false
media.fragmented-mp4.enabled: false
media.gmp.decoder.enabled: true
media.mediasource.format-reader.mp4: false
network.cookie.prefsMigrated: true
places.database.lastMaintenance: 1633001383
places.history.expiration.transient_current_max_pages: 10000
plugin.disable_full_page_plugin_for_types:
plugin.importedState: true
plugin.state.gecko-mediaplayer-qt: 0
privacy.sanitize.migrateFx3Prefs: true
security.default_personal_cert: Select Automatically
security.disable_button.openCertManager: false
security.OCSP.enabled: 0
storage.vacuum.last.index: 0
storage.vacuum.last.places.sqlite: 1633001383
webgl.force-enabled: true

Important Locked Preferences
----------------------------

Places Database
---------------

JavaScript
----------

Incremental GC: true

Accessibility
-------------

Activated: false
Prevent Accessibility: 1

Library Versions
----------------

NSPR
Expected minimum version: 4.16
Version in use: 4.16

NSS
Expected minimum version: 3.32.1
Version in use: 3.32.1

NSSSMIME
Expected minimum version: 3.32.1
Version in use: 3.32.1

NSSSSL
Expected minimum version: 3.32.1
Version in use: 3.32.1

NSSUTIL
Expected minimum version: 3.32.1
Version in use: 3.32.1

Experimental Features
---------------------

Note: There is a PET file which will install a form of OpenGL in Puppy Linux but it makes things run HOPELESSLY slow. If there is another way to do this I do not know of it.


Overall, the above does not look very promising. However, even at my level of skill I've found ways to get a number of things running that never would run: with 3D-Analyze, SwiftShader 2.0/2.1, ScummVM (which needs SwiftShader 2.1), and Puppy Linux roughly two dozen games and an app run.


So you never know. It's worth a try.

Link to comment
Share on other sites

On 10/13/2021 at 4:47 AM, GusCE6 said:

webgl.angle.force-d3d11: true
webgl.angle.force-warp: true

Reset those in about:config, D3D11 is available on Vista+ and WARP is a software rasterizer which is part of D3D11. See what it says then.

Linux looks more hopeless since it reports missing OpenGL feature. I don't know whether it's only needed for HW compositing of web pages or also WebGL. In this case, I suspect both.

I remember some graphics related things in Firefox browsers on Linux could only be forced via an environment variable, but I don't recall any more details, I have a feeling it might have been just for compositing of web pages, not WebGL. Won't help if required feature is missing.

Edited by UCyborg
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    No registered users viewing this page.


×
×
  • Create New...